kdecore Library: NETRootInfo3 Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# NETRootInfo3 Class Reference

This class is an extension of the NETRootInfo class, and exists solely for binary compatibility reasons (adds new virtual methods). More...

`#include <netwm.h>`

Inheritance diagram for NETRootInfo3:

[legend]
Collaboration diagram for NETRootInfo3:

[legend]
List of all members.

## Public Member Functions
| NETRootInfo3 (Display *display, Window supportWindow, const char *wmName, unsigned long properties[], int properties_size, int screen=-1, bool doActivate=true)
void | takeActivity (Window window, Time timestamp, long flags)
## Protected Member Functions
virtual void | restackWindow (Window window, RequestSource source, Window above, int detail, Time timestamp)
virtual void | gotTakeActivity (Window window, Time timestamp, long flags)
## Friends
class | NETRootInfo

## Detailed Description

This class is an extension of the NETRootInfo class, and exists solely for binary compatibility reasons (adds new virtual methods).

Simply use it instead of NETRootInfo and override also the added virtual methods.

Since:
  3.3

Definition at line 810 of file netwm.h.

## Member Function Documentation

void NETRootInfo3::takeActivity | ( | Window | window,
|  | Time | timestamp,
|  | long | flags
| ) |

  | Sends a take activity message with the given timestamp to the window, using the _NET_WM_TAKE_ACTIVITY protocol (see the WM spec for details). Parameters:
  | window | the window to which the message should be sent
  | timestamp | timestamp of the message
  | flags | arbitrary flags
Definition at line 1694 of file netwm.cpp.

virtual void NETRootInfo3::restackWindow | ( | Window | window,
|  | RequestSource | source,
|  | Window | above,
|  | int | detail,
|  | Time | timestamp
| ) | `[inline, protected, virtual]`

  | A Window Manager should subclass NETRootInfo3 and reimplement this function when it wants to know when a Client made a request to restack a window. See _NET_RESTACK_WINDOW for details. Parameters:
  | window | the id of the window to restack
  | source | the source of the request
  | above | other window in the restack request
  | detail | restack detail
  | timestamp | the timestamp of the request
Definition at line 838 of file netwm.h. Referenced by NETRootInfo::event().

virtual void NETRootInfo3::gotTakeActivity | ( | Window | window,
|  | Time | timestamp,
|  | long | flags
| ) | `[inline, protected, virtual]`

  | A Window Manager should subclass NETRootInfo3 and reimplement this function when it wants to receive replies to the _NET_WM_TAKE_ACTIVITY protocol. Parameters:
  | window | the window from which the reply came
  | timestamp | timestamp of the ping
  | flags | flags passed in the original message
Definition at line 847 of file netwm.h. Referenced by NETRootInfo::event().

The documentation for this class was generated from the following files:

- netwm.h
- netwm.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:52 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003